org.apache.poi.hwpf.model.types

## Class LSTFAbstractType

- java.lang.Object
- - org.apache.poi.hwpf.model.types.LSTFAbstractType

-     @Internal
      public abstract class LSTFAbstractType
      extends java.lang.Object

  The LSTF structure contains formatting properties that apply to an entire list.

  Class and fields descriptions are quoted from Microsoft Office Word 97-2007 Binary File Format and [MS-DOC] - v20110608 Word (.doc) Binary File Format

  NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/types/definitions.

  This class is internal. It content or properties may change without notice due to changes in our knowledge of internal Microsoft Word binary structures.

  Author:
    Sergey Vladimirov; according to Microsoft Office Word 97-2007 Binary File Format Specification [*.doc] and [MS-DOC] - v20110608 Word (.doc) Binary File Format

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `field_1_lsid`
    `protected int` | `field_2_tplc`
    `protected short[]` | `field_3_rgistdPara`
    `protected byte` | `field_4_flags`
    `protected Grfhic` | `field_5_grfhic`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LSTFAbstractType()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `protected void` | `fillFields(byte[] data, int offset)`
    `byte` | `getFlags()` Get the flags field for the LSTF record.
    `Grfhic` | `getGrfhic()` A grfhic that specifies the HTML incompatibilities of the list..
    `int` | `getLsid()` A signed integer that specifies the list identifier.
    `byte` | `getReserved1()` Deprecated. This field should not be used according to specification
    `short[]` | `getRgistdPara()` An array of nine 16-bit signed integers.
    `static int` | `getSize()` Size of record
    `int` | `getTplc()` A Tplc that specifies a unique identifier for this LSTF that MAY be used for user interface purposes.
    `int` | `hashCode()`
    `boolean` | `isFAutoNum()` A bit that specifies whether the list that this LSTF represents is used for the AUTONUMOUT, AUTONUMLGL, and AUTONUM fields (see AUTONUMOUT, AUTONUMLGL, and AUTONUM in flt)
    `boolean` | `isFHybrid()` A bit that specifies whether the list this LSTF defines is a hybrid list
    `boolean` | `isFSimpleList()` A bit that, when set to 0x1, specifies that this LSTF represents a simple (one-level) list that has one corresponding LVL (see the fcPlfLst field of FibRgFcLcb97).
    `boolean` | `isUnused1()` Deprecated. This field should not be used according to specification
    `boolean` | `isUnused2()` Deprecated. This field should not be used according to specification
    `byte[]` | `serialize()`
    `void` | `serialize(byte[] data, int offset)`
    `void` | `setFAutoNum(boolean value)` Sets the fAutoNum field value.
    `void` | `setFHybrid(boolean value)` Sets the fHybrid field value.
    `void` | `setFlags(byte field_4_flags)` Set the flags field for the LSTF record.
    `void` | `setFSimpleList(boolean value)` Sets the fSimpleList field value.
    `void` | `setGrfhic(Grfhic field_5_grfhic)` A grfhic that specifies the HTML incompatibilities of the list..
    `void` | `setLsid(int field_1_lsid)` A signed integer that specifies the list identifier.
    `void` | `setReserved1(byte value)` Sets the reserved1 field value.
    `void` | `setRgistdPara(short[] field_3_rgistdPara)` An array of nine 16-bit signed integers.
    `void` | `setTplc(int field_2_tplc)` A Tplc that specifies a unique identifier for this LSTF that MAY be used for user interface purposes.
    `void` | `setUnused1(boolean value)` Sets the unused1 field value.
    `void` | `setUnused2(boolean value)` Sets the unused2 field value.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### field_1_lsid

          protected int field_1_lsid

    - #### field_2_tplc

          protected int field_2_tplc

    - #### field_3_rgistdPara

          protected short[] field_3_rgistdPara

    - #### field_4_flags

          protected byte field_4_flags

    - #### field_5_grfhic

          protected Grfhic field_5_grfhic

  - ### Constructor Detail

    - #### LSTFAbstractType

          protected LSTFAbstractType()

  - ### Method Detail

    - #### fillFields

          protected void fillFields(byte[] data,
                                    int offset)

    - #### serialize

          public void serialize(byte[] data,
                                int offset)

    - #### serialize

          public byte[] serialize()

    - #### getSize

          public static int getSize()

      Size of record

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getLsid

          @Internal
          public int getLsid()

      A signed integer that specifies the list identifier. This MUST be unique for each LSTF. This value MUST not be 0xFFFFFFFF.

    - #### setLsid

          @Internal
          public void setLsid(int field_1_lsid)

      A signed integer that specifies the list identifier. This MUST be unique for each LSTF. This value MUST not be 0xFFFFFFFF.

    - #### getTplc

          @Internal
          public int getTplc()

      A Tplc that specifies a unique identifier for this LSTF that MAY be used for user interface purposes. If fHybrid is nonzero, this MUST be ignored.

    - #### setTplc

          @Internal
          public void setTplc(int field_2_tplc)

      A Tplc that specifies a unique identifier for this LSTF that MAY be used for user interface purposes. If fHybrid is nonzero, this MUST be ignored.

    - #### getRgistdPara

          @Internal
          public short[] getRgistdPara()

      An array of nine 16-bit signed integers. Each element of rgistdPara specifies the ISTD of the style that is linked to the corresponding level in the list. If no style is linked to a given level, the value of the corresponding element of rgistdPara MUST be 0x0FFF.

    - #### setRgistdPara

          @Internal
          public void setRgistdPara(short[] field_3_rgistdPara)

      An array of nine 16-bit signed integers. Each element of rgistdPara specifies the ISTD of the style that is linked to the corresponding level in the list. If no style is linked to a given level, the value of the corresponding element of rgistdPara MUST be 0x0FFF.

    - #### getFlags

          @Internal
          public byte getFlags()

      Get the flags field for the LSTF record.

    - #### setFlags

          @Internal
          public void setFlags(byte field_4_flags)

      Set the flags field for the LSTF record.

    - #### getGrfhic

          @Internal
          public Grfhic getGrfhic()

      A grfhic that specifies the HTML incompatibilities of the list..

    - #### setGrfhic

          @Internal
          public void setGrfhic(Grfhic field_5_grfhic)

      A grfhic that specifies the HTML incompatibilities of the list..

    - #### setFSimpleList

          @Internal
          public void setFSimpleList(boolean value)

      Sets the fSimpleList field value. A bit that, when set to 0x1, specifies that this LSTF represents a simple (one-level) list that has one corresponding LVL (see the fcPlfLst field of FibRgFcLcb97). Otherwise, this LSTF represents a multi-level list that has nine corresponding LVLs

    - #### isFSimpleList

          @Internal
          public boolean isFSimpleList()

      A bit that, when set to 0x1, specifies that this LSTF represents a simple (one-level) list that has one corresponding LVL (see the fcPlfLst field of FibRgFcLcb97). Otherwise, this LSTF represents a multi-level list that has nine corresponding LVLs
      Returns:
        the fSimpleList field value.

    - #### setUnused1

          @Internal
          public void setUnused1(boolean value)

      Sets the unused1 field value. This bit MUST be ignored

    - #### isUnused1

          @Internal
           @Deprecated
          public boolean isUnused1()

      Deprecated. This field should not be used according to specification
      This bit MUST be ignored
      Returns:
        the unused1 field value.

    - #### setFAutoNum

          @Internal
          public void setFAutoNum(boolean value)

      Sets the fAutoNum field value. A bit that specifies whether the list that this LSTF represents is used for the AUTONUMOUT, AUTONUMLGL, and AUTONUM fields (see AUTONUMOUT, AUTONUMLGL, and AUTONUM in flt)

    - #### isFAutoNum

          @Internal
          public boolean isFAutoNum()

      A bit that specifies whether the list that this LSTF represents is used for the AUTONUMOUT, AUTONUMLGL, and AUTONUM fields (see AUTONUMOUT, AUTONUMLGL, and AUTONUM in flt)
      Returns:
        the fAutoNum field value.

    - #### setUnused2

          @Internal
          public void setUnused2(boolean value)

      Sets the unused2 field value. This bit MUST be ignored

    - #### isUnused2

          @Internal
           @Deprecated
          public boolean isUnused2()

      Deprecated. This field should not be used according to specification
      This bit MUST be ignored
      Returns:
        the unused2 field value.

    - #### setFHybrid

          @Internal
          public void setFHybrid(boolean value)

      Sets the fHybrid field value. A bit that specifies whether the list this LSTF defines is a hybrid list

    - #### isFHybrid

          @Internal
          public boolean isFHybrid()

      A bit that specifies whether the list this LSTF defines is a hybrid list
      Returns:
        the fHybrid field value.

    - #### setReserved1

          @Internal
          public void setReserved1(byte value)

      Sets the reserved1 field value. This MUST be zero, and MUST be ignored.

    - #### getReserved1

          @Internal
           @Deprecated
          public byte getReserved1()

      Deprecated. This field should not be used according to specification
      This MUST be zero, and MUST be ignored.
      Returns:
        the reserved1 field value.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.